gloss-1.11.1.1: Painless 2D vector graphics, animations and simulations.

Safe Haskell | Safe
Language | Haskell98

Graphics.Gloss.Data.Display

Synopsis

- data Display
  - = InWindow String (Int, Int) (Int, Int)
  - | FullScreen

# Documentation

data Display Source #

Describes how Gloss should display its output.

Constructors

InWindow String (Int, Int) (Int, Int) | Display in a window with the given name, size and position.
FullScreen | Display full screen.

Instances

Eq Display Source # |
Methods (==) :: Display -> Display -> Bool # (/=) :: Display -> Display -> Bool #
Read Display Source # |
Methods readsPrec :: Int -> ReadS Display # readList :: ReadS [Display] # readPrec :: ReadPrec Display # readListPrec :: ReadPrec [Display] #
Show Display Source # |
Methods showsPrec :: Int -> Display -> ShowS # show :: Display -> String # showList :: [Display] -> ShowS #